package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.DemandOrderLog;
import com.goafanti.demand.bo.DemandOrderLogAdminBo;
import com.goafanti.demand.bo.DemandOrderLogUserBo;

public interface DemandOrderLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(DemandOrderLog record);

    int insertSelective(DemandOrderLog record);

    DemandOrderLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DemandOrderLog record);

    int updateByPrimaryKey(DemandOrderLog record);

	List<DemandOrderLogUserBo> selectDemandOrderLogByDemandOrderId(String demandOrderId);

	List<DemandOrderLogAdminBo> selectAdminDemandOrderLogByDemandOrderId(String demandOrderId);
}